#ifndef  CLIB_DDDOOR_PROTOS_H
#define  CLIB_DDDOOR_PROTOS_H
/*
**	$Filename: clib/dd_protos.h $
**	$Release: V1.00 $
**	$Revision: 1.0 $
**	$Date: 94/21/05 $
**
**	C prototypes. For use with 32 bit integers only.
**
*/
#ifndef  EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef  LIBRARIES_DDDOOR_H
#include <libraries/dddoor.h>
#endif

struct DIFace *InitDoor(char *);
void CloseDoor(struct DIFace *);
void SendString(struct DIFace *, char *);
int *Prompt(struct DIFace *, char *, unsigned long, unsigned long, char *);
void InquirePointers(struct DIFace *, struct DDPointers *);
void DisplayFile(struct DIFace *, char *, unsigned long);
int *YesNo(struct DIFace *, unsigned long);
ULONG ScanUserbase(struct DIFace *, char *);
void UpdateStructures(struct DIFace *);
void XprSend(struct DIFace *, char *, char *);
void XprReceive(struct DIFace *, char *);
ULONG GetLrp(struct DIFace *, unsigned long, unsigned long);
void SetLrp(struct DIFace *, unsigned long, unsigned long, unsigned long);
ULONG GetKey(struct DIFace *, unsigned long);
ULONG ScanFileDirs(struct DIFace *, unsigned long, char *, APTR, APTR);
ULONG FlagFile(struct DIFace *, char *, char *, unsigned long, unsigned long);
void Disconnect(struct DIFace *);
void DDCommand(struct DIFace *, char *);
void ResetIdle(struct DIFace *);
void Relogin(struct DIFace *);
void JoinConference(struct DIFace *, unsigned long, unsigned long);
void ChangeMsgBase(struct DIFace *, unsigned long, unsigned long);
void IntCommand(struct DIFace *, char *);
ULONG CheckKey(struct DIFace *);
void LineEditor(struct DIFace *, char *);
#endif	 /* CLIB_DD_PROTOS_H */
